List web form configurations
The Web Forms API is available in all developer accounts, but only in certain production account plans. Contact Docusign Support or your account manager to find out whether the Web Forms API is available for your production account plan.
This method returns a list of web form configurations for a given account. Use the query parameters to sort and filter the response.
Required authentication scopes: signature, webforms_read.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Query parameters
Set to owned_by_me to return only forms owned by the authenticated user. By default, all forms are returned.
Set to true or false to filter by whether forms are stand-alone (not tied to a template). By default, all forms are returned.
When true, only published forms are returned. By default, published and unpublished forms are both returned.
Sorts the results. You can sort by the time that the web forms were created or last modified, in descending or ascending order. Valid values:
lastModifiedDateTime:desc(default)lastModifiedDateTime:asccreatedDateTime:desccreatedDateTime:asc
When set, filters results by whether each web form configuration contains the given text in its formProperties.name property.
The zero-based index of the result from which to start returning results.
Use with count to limit the number of results.
The default value is 0.
The maximum number of results to return.
Use start_position to specify the number of results to skip.